Index: config.xml
===================================================================
--- config.xml	(revision 38563)
+++ config.xml	(revision 38564)
@@ -6,238 +6,698 @@
     <depends plugin-name="org.gvsig.exportto.app.extension" />
 	<resourceBundle name="text"/>
 	<extensions>
-<!-- 		<extension class-name="org.gvsig.editing.CreateNewLayer" -->
-<!-- 			description="Crear una nueva capa." -->
-<!-- 			active="true" > -->
-<!-- 			<menu text="Vista/new_layer/new_shp" action-command="SHP"/> -->
-<!-- 			<menu text="Vista/new_layer/new_dxf" action-command="DXF"/> -->
-<!-- 			<menu text="Vista/new_layer/new_postgis" action-command="POSTGIS"/> -->
-<!-- 		</extension> -->
-		<extension class-name="org.gvsig.editing.StartEditing"
-			description="Extensión encargada de comenzar la edición sobre la capa activa."
-			active="true">
-			<menu text="Capa/start_edition" action-command="STARTEDITING"/>
-		</extension>
 
-
-		<extension class-name="org.gvsig.editing.StopEditing"
-			description="Extensión encargada de terminar la edición sobre la capa activa y guardarla sobre sí misma."
-			active="true">
-			<menu text="Capa/stop_edition" action-command="STOPEDITING"/>
-		</extension>		
-
-		<!-- <extension class-name="org.gvsig.editing.StopEditingToGT2Shp"
-			description="Extensión encargada de terminar la edición sobre la capa activa y guardarla sobre sí misma si es un shapefile."
-			active="true">
-			<menu text="Capa/stop_edition/GT2shp" action-command="STOPEDITING"/>
-		</extension> -->
-		
 		<extension class-name="org.gvsig.editing.UndoViewExtension"
 			description="Extensión encargada de dehacer la edición sobre la capa activa."
 			active="true" >
-			<menu text="Capa/undo" action-command="UNDO" icon="view-undo"/>
-		<tool-bar name="undoredo" position="35">
-				<action-tool name="deshacer" icon="view-undo" action-command="UNDO" tooltip="undo" group="vista" position="1"/>
-		</tool-bar>
+			
+            <action 
+                name="edit-undo-layer"
+                label="_Undo" 
+                tooltip="_Undo_last_modification_in_the_active_layer" 
+                position="200100000" 
+                action-command="edit-undo-layer"
+                icon="edit-undo"
+                accelerator=""
+                />
+            
+            <menu
+                name="edit-undo-layer" 
+                text="Edit/Undo"
+                />
+                
+            <tool-bar name="edit_tools">
+                <action-tool name="edit-undo-layer"/>
+            </tool-bar>			
+			
 		</extension>
+
+
+
 		<extension class-name="org.gvsig.editing.RedoViewExtension"
             description="Extensión encargada de rehacer la edición sobre la capa activa."
             active="true">
-            <menu text="Capa/redo" action-command="REDO" icon="view-redo"/>
-        <tool-bar name="undoredo" position="35">
-                <action-tool name="redo" icon="view-redo" action-command="REDO" tooltip="redo" group="vista" position="2"/>
-        </tool-bar>
+
+            <action 
+                name="edit-redo-layer"
+                label="_Redo" 
+                tooltip="_Redo_last_modification_in_the_active_layer" 
+                position="200200000" 
+                action-command="edit-redo-layer"
+                icon="edit-redo"
+                accelerator=""
+                />
+            
+            <menu
+                name="edit-redo-layer" 
+                text="Edit/Redo"
+                />
+                
+            <tool-bar name="edit_tools">
+                <action-tool name="edit-redo-layer"/>
+            </tool-bar>         
+
         </extension>
+
 		<extension class-name="org.gvsig.editing.ViewCommandStackExtension"
 			description="Extensión encargada de administrar la pila de comados de edición sobre una vista."
 			active="true">
-			<menu text="Archivo/commands_stack" action-command="COMMANDSTACK" icon="commands-stack"/>
-		<tool-bar name="gvsig" position="32">
-			<action-tool name="commands_stack" icon="commands-stack" action-command="COMMANDSTACK" tooltip="commands_stack" group="vista" position="1"/>
-		</tool-bar>
+
+            <action 
+                name="edit-undo-redo-actions-layer"
+                label="_Undo_redo_history" 
+                tooltip="_History_of_undo_redo_actions" 
+                position="200300000" 
+                action-command="edit-undo-redo-actions-layer"
+                icon="edit-undo-redo-actions"
+                accelerator=""
+                />
+            
+            <menu
+                name="edit-undo-redo-actions-layer" 
+                text="Edit/Undo_redo_actions"
+                />
+                
+            <tool-bar name="edit_tools">
+                <action-tool name="edit-undo-redo-actions-layer"/>
+            </tool-bar>         
+
 		</extension>
+		
+		
+		
 		<extension class-name="org.gvsig.editing.TableCommandStackExtension"
 			description="Extensión encargada de administrar la pila de comados de edición sobre una tabla."
 			active="true">
-			<menu text="Archivo/commands_stack" action-command="COMMANDSTACK" icon="commands-stack"/>
-		<tool-bar name="gvsig">
-			<action-tool name="commands_stack" icon="commands-stack" action-command="COMMANDSTACK" tooltip="commands_stack" group="tabla" position="1"/>
-		</tool-bar>
+
+            <action 
+                name="edit-undo-redo-actions-table"
+                label="_Undo_redo_history" 
+                tooltip="_History_of_undo_redo_actions" 
+                position="200300000" 
+                action-command="edit-undo-redo-actions-table"
+                icon="edit-undo-redo-actions"
+                accelerator=""
+                />
+            
+            <menu
+                name="edit-undo-redo-actions-table" 
+                text="Edit/Undo_redo_actions"
+                />
+                
+            <tool-bar name="edit_tools">
+                <action-tool name="edit-undo-redo-actions-table"/>
+            </tool-bar> 			
+			
 		</extension>
 
 		<extension class-name="org.gvsig.editing.CADExtension"
 			description="Extensión encargada de gestionar los eventos realizados sobre las geometrías."
 			active="true">
-			<menu text="geometry/modify/copy" action-command="_copy" icon="edition-geometry-copy"/>
-			<menu text="geometry/modify/symmetry" action-command="_symmetry" icon="edition-geometry-symmetry"/>
-			<menu text="geometry/modify/rotate" action-command="_rotate" icon="edition-geometry-rotate"/>
-			<menu text="geometry/modify/scale" action-command="_scale" icon="edition-geometry-scale"/>
+			
+            <action 
+                name="layer-modify-copy"
+                label="_Copy_geometry" 
+                tooltip="_Copy_geometry" 
+                position="601100100" 
+                action-command="layer-modify-copy"
+                icon="layer-modify-copy"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-modify-symmetry"
+                label="_Symmetry_geometry" 
+                tooltip="_Symmetry_geometry" 
+                position="601101100" 
+                action-command="layer-modify-symmetry"
+                icon="layer-modify-symmetry"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-modify-rotate"
+                label="_Rotate_geometry" 
+                tooltip="_Rotate_geometry" 
+                position="601100800" 
+                action-command="layer-modify-rotate"
+                icon="layer-modify-rotate"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-modify-scale"
+                label="_Scale_geometry" 
+                tooltip="_Scale_geometry" 
+                position="601100900" 
+                action-command="layer-modify-scale"
+                icon="layer-modify-scale"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-copy"
+                text="Layer/Modify/Copy"
+                />
+                
+            <menu
+                name="layer-modify-symmetry"
+                text="Layer/Modify/Symmetry"
+                />
+                
+            <menu
+                name="layer-modify-rotate"
+                text="Layer/Modify/Rotate"
+                />
+                
+            <menu
+                name="layer-modify-scale"
+                text="Layer/Modify/Scale"
+                />
+                
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-copy"
+                    />
+                <action-tool 
+                    name="layer-modify-symmetry"
+                    />
+                <action-tool 
+                    name="layer-modify-rotate"
+                    />
+                <action-tool 
+                    name="layer-modify-scale"
+                    />
+            </tool-bar>             
+		</extension>
 
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-copy" action-command="_copy" tooltip="copy" group="vista" position="4"/>
-				<selectable-tool icon="edition-geometry-symmetry" action-command="_symmetry" tooltip="symmetry" group="vista" position="5"/>
-				<selectable-tool icon="edition-geometry-rotate" action-command="_rotate" tooltip="rotate" group="vista" position="7"/>
-				<selectable-tool icon="edition-geometry-scale" action-command="_scale" tooltip="scale" group="vista" position="8"/>
-			</tool-bar>
-		</extension>
+
+
+
+
+
 		<extension class-name="org.gvsig.editing.ExploitExtension"
 			description="Extensión encargada de simplificar geometrías complejas."
 			active="true">
-			<menu text="geometry/modify/exploit" action-command="_exploit" icon="edition-geometry-exploit"/>
-			<tool-bar name="modificar" position="31">
-				<action-tool icon="edition-geometry-exploit" action-command="_exploit" tooltip="exploit" group="vista" position="14"/>
-			</tool-bar>
+            
+            <action 
+                name="layer-modify-explode"
+                label="_Explode_geometry" 
+                tooltip="_Explode_geometry" 
+                position="601100300" 
+                action-command="layer-modify-explode"
+                icon="layer-modify-explode"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-explode"
+                text="Layer/Modify/Explode"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-explode"
+                    />
+            </tool-bar>             
 		</extension>
 
 		<extension class-name="org.gvsig.editing.MoveGeometryExtension"
 			description="Extensión encargada de mover las geometrías."
 			active="true">
-			<menu text="geometry/modify/move" action-command="_move" icon="edition-geometry-move"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-move" action-command="_move" tooltip="move" group="vista" position="3"/>
-			</tool-bar>
+            
+            <action 
+                name="layer-modify-move"
+                label="_Move_geometry" 
+                tooltip="_Move_geometry" 
+                position="601100700" 
+                action-command="layer-modify-move"
+                icon="layer-modify-move"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-move"
+                text="Layer/Modify/Move"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-move"
+                    />
+            </tool-bar>             
 		</extension>
 
 		<extension class-name="org.gvsig.editing.InsertPointExtension"
 			description="Extensión encargada de insertar puntos en una capa en edición."
 			active="true">
-			<menu text="geometry/insert/point" action-command="_point" icon="edition-insert-geometry-point"/>
-			<tool-bar name="insert" position="30">
-				<selectable-tool icon="edition-insert-geometry-point" action-command="_point" tooltip="point" group="vista" position="1"/>
-			</tool-bar>
+            
+            <action 
+                name="layer-insert-point"
+                label="_Insert_point" 
+                tooltip="_Insert_point" 
+                position="601000700" 
+                action-command="layer-insert-point"
+                icon="layer-insert-point"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-insert-point"
+                text="Layer/Insert/Point"
+                />
+            
+            <tool-bar name="layer_insert">
+                <action-tool 
+                    name="layer-insert-point"
+                    />
+            </tool-bar>             
 		</extension>
+		
+		
 		<extension class-name="org.gvsig.editing.InsertMultiPointExtension"
 			description="Extensión encargada de insertar multipuntos en una capa en edición."
 			active="true">
-			<menu text="geometry/insert/multipoint" action-command="_multipoint" icon="edition-insert-geometry-multipoint"/>
-			<tool-bar name="insert" position="30">
-				<selectable-tool icon="edition-insert-geometry-multipoint" action-command="_multipoint" tooltip="multipoint" group="vista" position="2"/>
-			</tool-bar>
+            
+            <action 
+                name="layer-insert-multipoint"
+                label="_Insert_multipoint" 
+                tooltip="_Insert_multipoint" 
+                position="601000600" 
+                action-command="layer-insert-multipoint"
+                icon="layer-insert-multipoint"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-insert-multipoint"
+                text="Layer/Insert/Multipoint"
+                />
+            
+            <tool-bar name="layer_insert">
+                <action-tool 
+                    name="layer-insert-multipoint"
+                    />
+            </tool-bar>             
 		</extension>
+
 		<extension class-name="org.gvsig.editing.InsertLineExtension"
 			description="Extensión encargada de insertar líneas en una capa en edición."
 			active="true">
-			<menu text="geometry/insert/line" action-command="_line" icon="edition-insert-geometry-line"/>
-			<menu text="geometry/insert/arc" action-command="_arc" icon="edition-insert-geometry-arc"/>
 
-			<tool-bar name="insert" position="30">
-				<selectable-tool icon="edition-insert-geometry-line" action-command="_line" tooltip="line" group="vista" position="3"/>
-				<selectable-tool icon="edition-insert-geometry-arc" action-command="_arc" tooltip="arc" group="vista" position="4"/>
-			</tool-bar>
+            <action 
+                name="layer-insert-line"
+                label="_Insert_line" 
+                tooltip="_Insert_line" 
+                position="60100500" 
+                action-command="layer-insert-line"
+                icon="layer-insert-line"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-insert-arc"
+                label="_Insert_arc" 
+                tooltip="_Insert_arc" 
+                position="601000200" 
+                action-command="layer-insert-arc"
+                icon="layer-insert-arc"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-insert-line"
+                text="Layer/Insert/Line"
+                />
+            
+            <menu
+                name="layer-insert-arc"
+                text="Layer/Insert/Arc"
+                />
+            
+            <tool-bar name="layer_insert">
+                <action-tool 
+                    name="layer-insert-line"
+                    />
+                <action-tool 
+                    name="layer-insert-arc"
+                    />
+            </tool-bar>             
 		</extension>
+
 		<extension class-name="org.gvsig.editing.InsertPolyLineExtension"
 			description="Extensión encargada de insertar polilíneas en una capa en edición."
 			active="true">
-			<menu text="geometry/insert/polyline" action-command="_polyline" icon="edition-insert-geometry-polyline"/>
-			<menu text="geometry/insert/spline" action-command="_spline" icon="edition-insert-geometry-spline"/>
 
-			<tool-bar name="insert" position="30">
-				<selectable-tool icon="edition-insert-geometry-polyline" action-command="_polyline" tooltip="polyline" group="vista" position="5"/>
-				<selectable-tool icon="edition-insert-geometry-spline" action-command="_spline" tooltip="spline" group="vista" position="5"/>
-			</tool-bar>
+            <action 
+                name="layer-insert-polyline"
+                label="_Insert_polyline" 
+                tooltip="_Insert_polyline" 
+                position="601000900" 
+                action-command="layer-insert-polyline"
+                icon="layer-insert-polyline"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-insert-spline"
+                label="_Insert_spline" 
+                tooltip="_Insert_spline" 
+                position="601001100" 
+                action-command="layer-insert-spline"
+                icon="layer-insert-spline"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-insert-polyline"
+                text="Layer/Insert/Polyline"
+                />
+            
+            <menu
+                name="layer-insert-spline"
+                text="Layer/Insert/Spline"
+                />
+            
+            <tool-bar name="layer_insert">
+                <action-tool 
+                    name="layer-insert-polyline"
+                    />
+                <action-tool 
+                    name="layer-insert-spline"
+                    />
+            </tool-bar>             
 		</extension>
+		
 		<extension class-name="org.gvsig.editing.InsertPolygonExtension"
 			description="Extensión encargada de insertar poligonos en una capa en edición."
 			active="true">
-			<menu text="geometry/insert/polygon" action-command="_polygon" icon="edition-insert-geometry-poligon"/>
-			<menu text="geometry/insert/rectangle" action-command="_rectangle" icon="edition-insert-geometry-rectangle"/>
-			<menu text="geometry/insert/circle" action-command="_circle" icon="edition-insert-geometry-circle"/>
-			<menu text="geometry/insert/ellipse" action-command="_ellipse" icon="edition-insert-geometry-ellipse"/>
-			<menu text="geometry/modify/edit_vertex" action-command="_editvertex" icon="edition-geometry-edit-vertex"/>
-			<tool-bar name="insert" position="30">
-				<selectable-tool icon="edition-insert-geometry-poligon" action-command="_polygon" tooltip="polygon" group="vista" position="6"/>
-				<selectable-tool icon="edition-insert-geometry-rectangle" action-command="_rectangle" tooltip="rectangle" group="vista" position="7"/>
-				<selectable-tool icon="edition-insert-geometry-circle" action-command="_circle" tooltip="circle" group="vista" position="8"/>
-				<selectable-tool icon="edition-insert-geometry-ellipse" action-command="_ellipse" tooltip="ellipse" group="vista" position="9"/>
-			</tool-bar>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-edit-vertex" action-command="_editvertex" tooltip="edit_vertex" group="vista" position="8"/>
-			</tool-bar>
+
+            <action 
+                name="layer-insert-polygon"
+                label="_Insert_polygon" 
+                tooltip="_Insert_polygon" 
+                position="601000800" 
+                action-command="layer-insert-polygon"
+                icon="layer-insert-polygon"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-insert-rectangle"
+                label="_Insert_rectangle" 
+                tooltip="_Insert_rectangle" 
+                position="601001000" 
+                action-command="layer-insert-rectangle"
+                icon="layer-insert-rectangle"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-insert-circle"
+                label="_Insert_circle" 
+                tooltip="_Insert_circle" 
+                position="601000300" 
+                action-command="layer-insert-circle"
+                icon="layer-insert-circle"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-insert-ellipse"
+                label="_Insert_ellipse" 
+                tooltip="_Insert_ellipse" 
+                position="601000400" 
+                action-command="layer-insert-ellipse"
+                icon="layer-insert-ellipse"
+                accelerator=""
+                />
+            
+            <action 
+                name="layer-modify-edit-vertex"
+                label="_Modify_vertex" 
+                tooltip="_Modify_vertex" 
+                position="601100200" 
+                action-command="layer-modify-edit-vertex"
+                icon="layer-modify-vertex"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-insert-polygon"
+                text="Layer/Insert/Polygon"
+                />
+            
+            <menu
+                name="layer-insert-rectangle"
+                text="Layer/Insert/Rectangle"
+                />
+            
+            <menu
+                name="layer-insert-circle"
+                text="Layer/Insert/Circle"
+                />
+            
+            <menu
+                name="layer-insert-ellipse"
+                text="Layer/Insert/Ellipse"
+                />
+            
+            <menu
+                name="layer-modify-edit-vertex"
+                text="Layer/Modify/Edit_vertex"
+                />
+            
+            <tool-bar name="layer_insert">
+                <action-tool 
+                    name="layer-insert-polygon"
+                    />
+                <action-tool 
+                    name="layer-insert-rectangle"
+                    />
+                <action-tool 
+                    name="layer-insert-circle"
+                    />
+                <action-tool 
+                    name="layer-insert-ellipse"
+                    />
+            </tool-bar>             
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-edit-vertex"
+                    />
+            </tool-bar>             
 		</extension>
-		<!--extension class-name="org.gvsig.editing.BreakExtension"
-			description="Extensión encargada de partir una geomtría en edición."
-			active="true">
-			<menu text="geometry/modify/break" action-command="_break" icon="edition-geometry-break"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-break" action-command="_break" tooltip="break" group="vista" position="9"/>
-			</tool-bar>
-		</extension-->
+
 		<extension class-name="org.gvsig.editing.JoinExtension"
 			description="Extensión encargada de unir varias geometría en edición."
 			active="true">
-			<menu text="geometry/modify/join" action-command="_join" icon="edition-geometry-Join"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-Join" action-command="_join" tooltip="join" group="vista" position="10"/>
-			</tool-bar>
+			            
+            <action 
+                name="layer-modify-join"
+                label="_Modify_join" 
+                tooltip="_Modify_join" 
+                position="601100500" 
+                action-command="layer-modify-join"
+                icon="layer-modify-join"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-join"
+                text="Layer/Modify/Join"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-join"
+                    />
+            </tool-bar>             
 		</extension>
+		
 		<extension class-name="org.gvsig.editing.InternalPolygonExtension"
 			description="Extensión encargada de insertar poligonos internos en una capa en edición."
 			active="true">
-			<menu text="geometry/modify/internal_polygon" action-command="_internalpolygon" icon="edition-modify-geometry-internalpolygon"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-modify-geometry-internalpolygon" action-command="_internalpolygon" tooltip="internal_polygon" group="vista" position="11"/>
-			</tool-bar>
+
+            <action 
+                name="layer-modify-internal-polygon"
+                label="_Modify_internal_polygon" 
+                tooltip="_Modify_internal_polygonn" 
+                position="601100400" 
+                action-command="layer-modify-internal-polygon"
+                icon="layer-modify-internal-polygon"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-internal-polygon"
+                text="Layer/Modify/Internal_polygon"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-internal-polygon"
+                    />
+            </tool-bar>   
 		</extension>
+		
 		<extension class-name="org.gvsig.editing.StretchExtension"
 			description="Extensión encargada de estirar geometrías en una capa en edición."
 			active="true">
-			<menu text="geometry/modify/stretch" action-command="_stretch" icon="edition-geometry-stretch"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-stretch" action-command="_stretch" tooltip="stretch" group="vista" position="12"/>
-			</tool-bar>
+
+            <action 
+                name="layer-modify-stretch"
+                label="_Stretch_geometry" 
+                tooltip="_Stretch_geometry" 
+                position="601101100" 
+                action-command="layer-modify-stretch"
+                icon="layer-modify-stretch"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-stretch"
+                text="Layer/Modify/Stretch"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-stretch"
+                    />
+            </tool-bar>             
 		</extension>
+		
 		<extension class-name="org.gvsig.editing.ComplexSelectionGeometryExtension"
 			description="Extensión encargada de la selección compleja de geometrías."
 			active="true">
-			<menu text="geometry/seleccion_compleja" action-command="_complex_selection" icon="edition-complex-selection"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-complex-selection" action-command="_complex_selection" tooltip="complex_selection" group="vista" position="16"/>
-			</tool-bar>
+
+            <action 
+                name="selection-complex"
+                label="_Complex_selection" 
+                tooltip="_Complex_selection" 
+                position="300800000" 
+                action-command="selection-complex"
+                icon="selection-complex"
+                accelerator=""
+                />
+            
+            <menu
+                name="selection-complex"
+                text="Selection/Complex"
+                />
+            
+            <tool-bar name="view_selection">
+                <action-tool 
+                    name="selection-complex"
+                    />
+            </tool-bar>             
 		</extension>
+		
 		<extension class-name="org.gvsig.editing.SelectionGeometryExtension"
 			description="Extensión encargada de seleccionar las geometrías."
 			active="true">
-			<menu text="geometry/seleccionar" action-command="_selection" icon="edition-geometry-select"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-select" action-command="_selection" tooltip="selection" group="vista" position="15"/>
-			</tool-bar>
+
+
+            <action 
+                name="selection-simple"
+                label="_Simple_selection" 
+                tooltip="_Simple_selection" 
+                position="300700000" 
+                action-command="selection-simple"
+                icon="selection-simple"
+                accelerator=""
+                />
+            
+            <menu
+                name="selection-simple"
+                text="Selection/Simple"
+                />
+            
+            <tool-bar name="view_selection">
+                <action-tool 
+                    name="selection-simple"
+                    />
+            </tool-bar>             
 		</extension>
+		
 		<extension class-name="org.gvsig.editing.MatrixExtension"
 			description="Extensión encargada de crear una matriz a partir de la geometría seleccionada."
 			active="true">
-			<menu text="geometry/modify/matrix" action-command="_matrix" icon="edition-geometry-matrix"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-matrix" action-command="_matrix" tooltip="matrix" group="vista" position="17"/>
-			</tool-bar>
+
+            <action 
+                name="layer-modify-matrix"
+                label="_Matrix" 
+                tooltip="_Matrix" 
+                position="601100600" 
+                action-command="layer-modify-matrix"
+                icon="layer-modify-matrix"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-matrix"
+                text="Layer/Modify/Matrix"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-matrix"
+                    />
+            </tool-bar>             
 		</extension>
-		<!--extension class-name="org.gvsig.editing.EquidistanceExtension"
-			description="Extensión encargada de crear una geometría equidistante a otra."
-			active="true">
-			<menu text="geometry/modify/equidistance" action-command="_equidistance" icon="edition-geometry-equidistance"/>
-			<tool-bar name="modificar" position="31">
-				<selectable-tool icon="edition-geometry-equidistance" action-command="_equidistance" tooltip="equidistance" group="vista" position="18"/>
-			</tool-bar>
-		</extension-->
+		
 		<extension class-name="org.gvsig.editing.AutoCompletePolygonExtension"
 			description="Extensión encargada de restablecer la selección anterior."
 			active="true">
-			<menu text="geometry/insert/autopolygon" action-command="AUTOCOMPLETE_POLYGON" icon="edition-geometry-autocompletepolygon"/>
-			<tool-bar name="insert" position="30">
-				<action-tool icon="edition-geometry-autocompletepolygon" action-command="AUTOCOMPLETE_POLYGON" tooltip="autocomplete-polygon" group="vista" position="20"/>
-			</tool-bar>
+
+
+            <action 
+                name="layer-insert-autopolygon"
+                label="_Insert_autopolygon" 
+                tooltip="_Insert_autopolygon" 
+                position="601100100" 
+                action-command="layer-insert-autopolygon"
+                icon="layer-insert-autopolygon"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-insert-autopolygon"
+                text="Layer/Insert/Autopolygon"
+                />
+            
+            <tool-bar name="layer_insert">
+                <action-tool 
+                    name="layer-insert-autopolygon"
+                    />
+            </tool-bar>             
 		</extension>
+        
         <extension class-name="org.gvsig.editing.SplitGeometryCADToolExtension"
             description="herramienta para dividir una geometria con una linea"
             active="true">
-            <tool-bar name="Topology">
-                <selectable-tool icon="split-geometry" action-command="_split_geometry" tooltip="split_geometry" enable-text="select_geometry_to_split" last="false" position="8"/>
-            </tool-bar>
+
+            <action 
+                name="layer-modify-split"
+                label="_Split_geometry" 
+                tooltip="_Split_geometry" 
+                position="601101000" 
+                action-command="layer-modify-split"
+                icon="layer-modify-split"
+                accelerator=""
+                />
+            
+            <menu
+                name="layer-modify-split"
+                text="Layer/Modify/Split"
+                />
+            
+            <tool-bar name="layer_modify">
+                <action-tool 
+                    name="layer-modify-split"
+                    />
+            </tool-bar>             
         </extension>
-		<!--extension class-name="org.gvsig.editing.LayerPropertiesExtension"
-			description="Abre el diálogo de propiedades de la capa."
-			active="true" >
-			<menu text="Capa/Propiedades" action-command="PROPERTIES"/>
-		</extension-->
-
+		
 	</extensions>
 </plugin-config>