Index: CADExtension.java
===================================================================
--- CADExtension.java	(revision 38563)
+++ CADExtension.java	(revision 38564)
@@ -55,6 +55,7 @@
 import javax.swing.KeyStroke;
 import javax.swing.text.JTextComponent;
 
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.PluginServices;
 import org.gvsig.andami.PluginsLocator;
 import org.gvsig.andami.PluginsManager;
@@ -84,6 +85,8 @@
 import org.gvsig.utils.console.JConsole;
 import org.gvsig.utils.console.ResponseListener;
 import org.gvsig.utils.console.jedit.JEditTextArea;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
 
 
 /**
@@ -93,6 +96,8 @@
  * @author Vicente Caballero Navarro
  */
 public class CADExtension extends Extension implements IPreferenceExtension{
+	private static Logger logger = LoggerFactory.getLogger(CADExtension.class);
+	
 	private static HashMap adapters=new HashMap();
 
 	private static DefaultViewPanel view;
@@ -207,47 +212,19 @@
     }
 
     private void registerIcons(){
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-copy",
-				this.getClass().getClassLoader().getResource("images/Copy.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-symmetry",
-				this.getClass().getClassLoader().getResource("images/Symmetry.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-rotate",
-				this.getClass().getClassLoader().getResource("images/Rotation.png")
-			);
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-geometry-scale",
-				this.getClass().getClassLoader()
-						.getResource("images/Scale.png"));
-
-		PluginServices.getIconTheme().registerDefault(
-				"edition-properties",
-				CADExtension.class.getClassLoader().getResource(
-						"images/EditingProperties.png"));
-
-		PluginServices.getIconTheme().registerDefault(
-				"field-expresion",
-				CADExtension.class.getClassLoader().getResource(
-						"images/FieldExpresion.png"));
-		PluginServices.getIconTheme().registerDefault(
-				"flatness-icon",
-				CADExtension.class.getClassLoader().getResource(
-						"images/Flatness.png"));
-		PluginServices.getIconTheme().registerDefault(
-				"grid-icon",
-				CADExtension.class.getClassLoader().getResource(
-						"images/Grid.png"));
-		PluginServices.getIconTheme().registerDefault(
-				"snapper-icon",
-				CADExtension.class.getClassLoader().getResource(
-						"images/Snapper.png"));
+    	IconThemeHelper.registerIcon("action", "layer-modify-copy", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-symmetry", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-rotate", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-scale", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-edit-vertex", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-join", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-matrix", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-move", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-rotate", this);
+    	IconThemeHelper.registerIcon("action", "layer-modify-stretch", this);
+    	
+    	
+    	IconThemeHelper.registerIcon("preferences", "preferences-layer-modify-flatness", this);
 	}
 
 	/**
@@ -255,16 +232,29 @@
 	 */
 	public void execute(String s) {
 		initFocus();
-
-		if (s.equals("_spline") || s.equals("_copy")
-				|| s.equals("_equidistance") || s.equals("_matriz")
-				|| s.equals("_symmetry") || s.equals("_rotate")
-				|| s.equals("_stretch") || s.equals("_scale")
-				|| s.equals("_extend") || s.equals("_trim")
-				|| s.equals("_unit")
-				|| s.equals("_chaflan") || s.equals("_join")) {
-			setCADTool(s, true);
-		}
+    	if( "layer-modify-copy".equalsIgnoreCase(s) ) {
+    		setCADTool("_copy", true);
+    	} else if( "layer-modify-symmetry".equalsIgnoreCase(s) ) {
+    		setCADTool("_symmetry", true);
+    	} else if( "layer-modify-rotate".equalsIgnoreCase(s) ) {
+    		setCADTool("_rotate", true);
+    	} else if( "layer-modify-scale".equalsIgnoreCase(s) ) {
+    		setCADTool("_scale", true);
+    	} else if( "layer-modify-edit-vertex".equalsIgnoreCase(s) ) {
+    		setCADTool("_editvertex", true);
+    	} else if( "layer-modify-join".equalsIgnoreCase(s) ) {
+    		setCADTool("_join", true);
+    	} else if( "layer-modify-matrix".equalsIgnoreCase(s) ) {
+    		setCADTool("_matriz", true);
+    	} else if( "layer-modify-move".equalsIgnoreCase(s) ) {
+    		setCADTool("_move", true);
+    	} else if( "layer-modify-rotate".equalsIgnoreCase(s) ) {
+    		setCADTool("_rotate", true);
+    	} else if( "layer-modify-stretch".equalsIgnoreCase(s) ) {
+    		setCADTool("_stretch", true);
+    	} else {
+    		logger.info("Action command '"+s+"' not supportted in "+this.getClass().getName());
+    	}
 		CADToolAdapter cta=getCADToolAdapter();
 		cta.configureMenu();
 	}