Index: WFSClientExtension.java
===================================================================
--- WFSClientExtension.java	(revision 38563)
+++ WFSClientExtension.java	(revision 38564)
@@ -1,9 +1,11 @@
 package org.gvsig.wfs;
 
-import org.gvsig.andami.PluginServices;
+import org.gvsig.andami.IconThemeHelper;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.app.extension.AddLayer;
 import org.gvsig.app.project.documents.view.legend.gui.ThemeManagerWindow;
+import org.gvsig.fmap.dal.store.wfs.WFSStoreProvider;
+import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
 import org.gvsig.gui.beans.panelGroup.PanelGroupManager;
 import org.gvsig.tools.ToolsLocator;
@@ -152,89 +154,23 @@
 	 * Prepares support for the icons that can be used in the WFS extension.
 	 */
 	void initilizeIcons(){
-		// FLyrWFS.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"WFS-icolayer",
-	    		this.getClass().getClassLoader().getResource("images/icoLayer.png")
-	    	);
+		IconThemeHelper.registerIcon("layer", "layer-icon-wfs", this);
+		MapContextLocator.getMapContextManager().registerIconLayer(WFSStoreProvider.NAME, "layer-icon-wfs");
 
 		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"edit-undo",
-	    		this.getClass().getClassLoader().getResource("images/edit-undo.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"WFS-move",
-	    		this.getClass().getClassLoader().getResource("images/move.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"WFS-scaling",
-	    		this.getClass().getClassLoader().getResource("images/scaling.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-pan",
-	    		this.getClass().getClassLoader().getResource("images/Pan.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-in",
-	    		this.getClass().getClassLoader().getResource("images/ZoomIn.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-out",
-	    		this.getClass().getClassLoader().getResource("images/ZoomOut.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-back",
-	    		this.getClass().getClassLoader().getResource("images/ZoomPrevio.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-map-contents",
-	    		this.getClass().getClassLoader().getResource("images/MapContents.png")
-	    	);
-
-		// WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-mas",
-	    		this.getClass().getClassLoader().getResource("images/zoommas.png")
-	    	);
-
-		//		 WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-zoom-menos",
-	    		this.getClass().getClassLoader().getResource("images/zoommenos.png")
-	    	);
-
-		//		 WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-query-distance",
-	    		this.getClass().getClassLoader().getResource("images/Distancia.png")
-	    	);
-
-		//	 	WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"view-query-area",
-	    		this.getClass().getClassLoader().getResource("images/Poligono16.png")
-	    	);
-
-		// 		WFSAreaPanel.java
-		PluginServices.getIconTheme().registerDefault(
-	    		"validate-area",
-	    		this.getClass().getClassLoader().getResource("images/validate-area.png")
-	    	);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-undo", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-move", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-scaling", this); // ???
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-pan", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-in", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-out", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-back", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-all", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-plus", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-zoom-minus", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-query-area", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-query-distance", this);
+		IconThemeHelper.registerIcon("wfs-properties", "wfs-properties-validate-area", this); // ???
 	}
 
 }