Index: WFSAreaPanel.java
===================================================================
--- WFSAreaPanel.java	(revision 38563)
+++ WFSAreaPanel.java	(revision 38564)
@@ -427,7 +427,7 @@
         if (jButtonUndo == null) {
             jButtonUndo = new JButton();
             jButtonUndo.setBounds(DEFAULT_UNDO_ICON_BUTTON_RECTANGLE);
-            jButtonUndo.setIcon(PluginServices.getIconTheme().get("edit-undo"));
+            jButtonUndo.setIcon(PluginServices.getIconTheme().get("wfs-properties-undo"));
             jButtonUndo.setToolTipText(PluginServices.getText(this, "previous_area"));
             jButtonUndo.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -448,7 +448,7 @@
         if (jToggleButtonMove == null) {
             jToggleButtonMove = new JToggleButton();
             jToggleButtonMove.setBounds(DEFAULT_MOVE_ICON_TOGGLE_BUTTON_RECTANGLE);
-            jToggleButtonMove.setIcon(PluginServices.getIconTheme().get("WFS-move"));
+            jToggleButtonMove.setIcon(PluginServices.getIconTheme().get("wfs-properties-move"));
             jToggleButtonMove.setToolTipText(PluginServices.getText(this, "move") + ": " + PluginServices.getText(this, "area_move_explanation"));
             jToggleButtonMove.addItemListener(new ItemListener() {
                 public void itemStateChanged(ItemEvent e) {
@@ -471,7 +471,7 @@
         if (jToggleButtonScaling == null) {
             jToggleButtonScaling = new JToggleButton();
             jToggleButtonScaling.setBounds(DEFAULT_SCALING_ICON_TOGGLE_BUTTON_RECTANGLE);
-            jToggleButtonScaling.setIcon(PluginServices.getIconTheme().get("WFS-scaling"));
+            jToggleButtonScaling.setIcon(PluginServices.getIconTheme().get("wfs-properties-scaling"));
             jToggleButtonScaling.setToolTipText(PluginServices.getText(this, "scaling") + ": " + PluginServices.getText(this, "area_scaling_explanation"));
             jToggleButtonScaling.addItemListener(new ItemListener() {
                 public void itemStateChanged(ItemEvent e) {
@@ -493,7 +493,7 @@
         if (jButtonPan == null) {
             jButtonPan = new JButton();
             jButtonPan.setBounds(DEFAULT_PAN_ICON_BUTTON_RECTANGLE);
-            jButtonPan.setIcon(PluginServices.getIconTheme().get("view-pan"));
+            jButtonPan.setIcon(PluginServices.getIconTheme().get("wfs-properties-pan"));
             jButtonPan.setToolTipText(PluginServices.getText(this, "Desplazamiento"));
             jButtonPan.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -513,8 +513,8 @@
         if (jComboBoxZoomInAndOut == null) {
             jComboBoxZoomInAndOut = new JComboBoxWithImageIconItems();
             jComboBoxZoomInAndOut.setBounds(DEFAULT_ZOOMINANDOUT_JCOMBOBOX_RECTANGLE);
-            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo("images/ZoomIn.png",PluginServices.getIconTheme().get("view-zoom-in"),PluginServices.getText(this, "Zoom_Mas"), ZOOM_IN_TOOL));
-            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo("images/ZoomOut.png",PluginServices.getIconTheme().get("view-zoom-out"), PluginServices.getText(this, "Zoom_Menos"), ZOOM_OUT_TOOL));
+            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-in"),PluginServices.getText(this, "Zoom_Mas"), ZOOM_IN_TOOL));
+            jComboBoxZoomInAndOut.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-out"), PluginServices.getText(this, "Zoom_Menos"), ZOOM_OUT_TOOL));
             jComboBoxZoomInAndOut.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     JComboBoxWithImageIconItems cb = (JComboBoxWithImageIconItems)e.getSource();
@@ -536,7 +536,7 @@
         if (jButtonZoomPrevious == null) {
             jButtonZoomPrevious = new JButton();
             jButtonZoomPrevious.setBounds(DEFAULT_ZOOMPREVIOUS_ICON_BUTTON_RECTANGLE);
-            jButtonZoomPrevious.setIcon(PluginServices.getIconTheme().get("view-zoom-back"));
+            jButtonZoomPrevious.setIcon(PluginServices.getIconTheme().get("wfs-properties-zoom-back"));
             jButtonZoomPrevious.setToolTipText(PluginServices.getText(this, "Zoom_Previo"));
             jButtonZoomPrevious.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -556,7 +556,7 @@
         if (jButtonZoomComplete == null) {
             jButtonZoomComplete = new JButton();
             jButtonZoomComplete.setBounds(DEFAULT_ZOOMCOMPLETE_ICON_BUTTON_RECTANGLE);
-            jButtonZoomComplete.setIcon(PluginServices.getIconTheme().get("view-zoom-map-contents"));
+            jButtonZoomComplete.setIcon(PluginServices.getIconTheme().get("wfs-properties-zoom-all"));
             jButtonZoomComplete.setToolTipText(PluginServices.getText(this, "Zoom_Completo"));
             jButtonZoomComplete.addMouseListener(new MouseAdapter() {
                 public void mouseClicked(MouseEvent e) {
@@ -578,8 +578,8 @@
         if (jComboBoxZoomInAndOutViewCentered == null) {
             jComboBoxZoomInAndOutViewCentered = new JComboBoxWithImageIconItems();
             jComboBoxZoomInAndOutViewCentered.setBounds(DEFAULT_ZOOMINANDOUTVIEWCENTERED_JCOMBOBOX_RECTANGLE);
-            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo("images/zoommas.png",PluginServices.getIconTheme().get("view-zoom-mas"), PluginServices.getText(this, "Zoom_Acercar"), ZOOM_IN_VIEW_CENTERED_TOOL));
-            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo("images/ZoomOut.png",PluginServices.getIconTheme().get("view-zoom-menos"), PluginServices.getText(this, "Zoom_Alejar"), ZOOM_OUT_VIEW_CENTERED_TOOL));
+            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-plus"), PluginServices.getText(this, "Zoom_Acercar"), ZOOM_IN_VIEW_CENTERED_TOOL));
+            jComboBoxZoomInAndOutViewCentered.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-zoom-minus"), PluginServices.getText(this, "Zoom_Alejar"), ZOOM_OUT_VIEW_CENTERED_TOOL));
             jComboBoxZoomInAndOutViewCentered.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     JComboBoxWithImageIconItems cb = (JComboBoxWithImageIconItems)e.getSource();
@@ -606,8 +606,8 @@
         if (jComboBoxOtherTools == null) {
             jComboBoxOtherTools = new JComboBoxWithImageIconItems();
             jComboBoxOtherTools.setBounds(DEFAULT_OTHER_TOOLS_JCOMBOBOX_RECTANGLE);
-            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo("images/Distancia.png",PluginServices.getIconTheme().get("view-query-distance"),PluginServices.getText(this, "medir_distancias"), MEASURE_DISTANCES_TOOL));
-            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo("images/Poligono16.png",PluginServices.getIconTheme().get("view-query-area"), PluginServices.getText(this, "medir_area"), MEASURE_AREA_TOOL));
+            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-query-distance"),PluginServices.getText(this, "medir_distancias"), MEASURE_DISTANCES_TOOL));
+            jComboBoxOtherTools.addImageIconItem(new ImageIconItemInfo(null,PluginServices.getIconTheme().get("wfs-properties-query-area"), PluginServices.getText(this, "medir_area"), MEASURE_AREA_TOOL));
             jComboBoxOtherTools.addActionListener(new ActionListener() {
                 public void actionPerformed(ActionEvent e) {
                     JComboBoxWithImageIconItems cb = (JComboBoxWithImageIconItems)e.getSource();
@@ -1563,7 +1563,7 @@
                 jButtonPreviewArea.setToolTipText(PluginServices.getText(this, "to_validate_coodinates"));
                 jButtonPreviewArea.setVerticalTextPosition(AbstractButton.CENTER);
                 jButtonPreviewArea.setHorizontalTextPosition(AbstractButton.CENTER);
-                jButtonPreviewArea.setIcon(PluginServices.getIconTheme().get("validate-area"));
+                jButtonPreviewArea.setIcon(PluginServices.getIconTheme().get("wfs-properties-validate-area"));
                 jButtonPreviewArea.addMouseListener(new MouseAdapter() {
                     public void mouseClicked(MouseEvent e) {
                         validVertexes();