Index: config.xml
===================================================================
--- config.xml	(revision 38563)
+++ config.xml	(revision 38564)
@@ -5,49 +5,49 @@
 	<libraries library-dir="lib"/>
 	<extensions>
 
- 		<extension class-name="org.gvsig.selectiontools.app.extension.AboutSelectionToolsExtension"
-            description="Extension Selection Tools of the Consejería de Medio Ambiente of the Junta de Castilla y León Project."
-			active="true"
-			priority="1">
-		</extension>
+<!--  		<extension class-name="org.gvsig.selectiontools.app.extension.AboutSelectionToolsExtension" -->
+<!--             description="Extension Selection Tools of the Consejería de Medio Ambiente of the Junta de Castilla y León Project." -->
+<!-- 			active="true" -->
+<!-- 			priority="1"> -->
+<!-- 		</extension> -->
 		
 		<extension class-name="org.gvsig.selectiontools.app.extension.SelectAllExtension"
 			description="Extension that allows select all geometries of the selected vectorial layers."
 			active="true"
 			priority="30">
-			<menu text="Vista/seleccion/select_all"
+			<menu text="Selection/SelectAll"
 				action-command="SELALL"
 				tooltip="select_all_info"
-				icon="select-all-icon"
-				position="6570"/>
+				icon="selection-select-all"
+				position="0"/>
 			<tool-bar name="Tools_Select" position="6">
-				<selectable-tool icon="select-all-icon" action-command="SELALL" tooltip="select_all_info" position="7"/>
+				<selectable-tool icon="selection-all" action-command="SELALL" tooltip="select_all_info" position="7"/>
 			</tool-bar>
 		</extension>		
 		 <extension class-name="org.gvsig.selectiontools.app.extension.SelectByCircleExtension"
 			description="Extension that allows select all geometries of the selected vectorial layers that are contained or intersect with a circle defined by the user."
 			active="true"
 			priority="30">
-			<menu text="Vista/seleccion/select_by_circle"
+			<menu text="Selection/Select_by_circle"
 				action-command="SELCIRCLE"
 				tooltip="select_by_circle_info"
-				icon="select-by-circle-icon"
-				position="6521"/>
+				icon="selection-select-by-circle"
+				position="0"/>
 			<tool-bar name="Tools_Select" position="6">
-				<selectable-tool icon="select-by-circle-icon" action-command="SELCIRCLE" tooltip="select_by_circle" position="6"/>
+				<selectable-tool icon="selection-select-by-circle" action-command="SELCIRCLE" tooltip="select_by_circle" position="6"/>
 			</tool-bar>
 		</extension>		
 		<extension class-name="org.gvsig.selectiontools.app.extension.SelectByPolylineExtension"
 			description="Extension that allows select all geometries of the selected vectorial layers that intersect with a polyline defined by the user."
 			active="false"
 			priority="30">
-			<menu text="Vista/seleccion/select_by_polyline"
+			<menu text="Selection/Select_by_polyline"
 				action-command="SELPOLYLINE"
 				tooltip="select_by_polyline_info"
-				icon="select-by-polyline-icon"
-				position="6531"/>
+				icon="selection-select-by-polyline"
+				position="0"/>
 			<tool-bar name="Tools_Select" position="6">
-				<selectable-tool icon="select-by-polyline-icon" action-command="SELPOLYLINE" tooltip="select_by_polyline" position="5"/>
+				<selectable-tool icon="selection-select-by-polyline" action-command="SELPOLYLINE" tooltip="select_by_polyline" position="5"/>
 			</tool-bar>
 		</extension>		
 
@@ -55,13 +55,13 @@
 			description="Extension that allows select all geometries of the selected vectorial layers that intersect with a buffer around their previously selected geometries."
 			active="true"
 			priority="30">
-			<menu text="Vista/seleccion/select_by_buffer"
+			<menu text="Selection/Select_by_buffer"
 				action-command="SELBUFFER"
 				tooltip="select_by_buffer_info"
-				icon="select-by-buffer-icon"
-				position="6532"/>
+				icon="selection-select-by-buffer"
+				position="0"/>
 			<tool-bar name="Tools_Select" position="6">
-				<action-tool icon="select-by-buffer-icon" action-command="SELBUFFER" tooltip="select_by_buffer" position="7"/>
+				<action-tool icon="selection-select-by-buffer" action-command="SELBUFFER" tooltip="select_by_buffer" position="7"/>
 			</tool-bar>
 		</extension>
 				